{-# LANGUAGE ViewPatterns #-}
module Test.Offline.RemoteTransfer where

import Crypto.PubKey.RSA as RSA
import Gargantext.API.Admin.Auth.Types
import Prelude
import Test.Tasty
import Test.Tasty.QuickCheck

tests :: TestTree
tests = testGroup "RemoteTransfer" [
  testProperty "PubKey serialisation roundtrip" pubKeySerializeRoundtrip
  ]

pubKeySerializeRoundtrip :: (Positive Integer, Positive Integer) -> Property
pubKeySerializeRoundtrip (getPositive -> n, getPositive -> e) =
  let pk = RSA.PublicKey 256 n e
  in remotePubKeyToPubKey (pubKeyToRemotePubKey pk) === Right pk
